package cn.com.tenlion.configcontent.pojo.vos.contentantistop;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: NewsAntistopVO
 * @Description: 新闻评论敏感词库
 * @Author: WenG
 * @Date: 2020-05-08 23:30
 * @Version: 1.0
 **/
@ApiModel
public class ContentAntistopVO {

    @ApiModelProperty(name = "contentAntistopName", value = "敏感词")
    @CheckEmptyAnnotation(name = "敏感词")
    private String contentAntistopName;
    @ApiModelProperty(name = "contentAntistopPinyin", value = "敏感词拼音")
    private String contentAntistopPinyin;
    @ApiModelProperty(name = "contentAntistopType", value = "敏感级别")
    private String contentAntistopType;
    @ApiModelProperty(name = "contentAntistopRemark", value = "备注信息")
    private String contentAntistopRemark;

    public String getContentAntistopName() {
        return contentAntistopName == null ? "" : contentAntistopName;
    }

    public void setContentAntistopName(String contentAntistopName) {
        this.contentAntistopName = contentAntistopName;
    }

    public String getContentAntistopPinyin() {
        return contentAntistopPinyin == null ? "" : contentAntistopPinyin;
    }

    public void setContentAntistopPinyin(String contentAntistopPinyin) {
        this.contentAntistopPinyin = contentAntistopPinyin;
    }

    public String getContentAntistopType() {
        return contentAntistopType == null ? "" : contentAntistopType;
    }

    public void setContentAntistopType(String contentAntistopType) {
        this.contentAntistopType = contentAntistopType;
    }

    public String getContentAntistopRemark() {
        return contentAntistopRemark == null ? "" : contentAntistopRemark;
    }

    public void setContentAntistopRemark(String contentAntistopRemark) {
        this.contentAntistopRemark = contentAntistopRemark;
    }
}
